﻿using System;
using System.Collections.Generic;

namespace DataAccess
{
	public interface IDataLayer : IDisposable
	{
		IList<CustomerDTO> GetAllCustomers();
		void CreateCustomer(CustomerDTO customerDto);
		void UpdateCustomer(CustomerDTO customerDto);
		CustomerDTO GetCustomer(string id);
		void DeleteCustomer(string id);
	}
}